# Algorithms_in_C++: list Struct Reference

list Struct Reference
Collaboration diagram for list:
[legend]

## Public Member Functions

int | BinarySearch (int *array, int first, int last, int x)
int | LinarSearch (int *array, int x)
int | Search (int x)
void | Sort ()
void | insert (int x)
void | Remove (int x)
void | Show ()

## Public Attributes

int | data [50]
int | top = 0
bool | isSorted = false
int | key
| key value for node
struct list * | next
| pointer to next link in the chain

## Detailed Description

a one-way linked list

The documentation for this struct was generated from the following files:

- data_structures/list_array.cpp
- search/hash_search.cpp